
.. _delete_cli:

delete
******







.. rubric:: Output of :code:`--help=delete`



The following help text is generated by :code:`ecflow_client --help=delete`

::

   
   delete
   ------
   
   Deletes the specified node(s) or _ALL_ existing definitions( i.e delete all suites) in the server.
     arg1 = [ force | yes ](optional)  # Use this parameter to bypass checks, i.e. for active or submitted tasks
     arg2 = yes(optional)              # Use 'yes' to bypass the confirmation prompt
     arg3 = node paths | _all_         # _all_ means delete all suites
                                       # node paths must start with a leading '/'
   Usage:
     --delete=_all_                    # Delete all suites in server. Use with care.
     --delete=/suite/f1/t1             # Delete node at /suite/f1/t1. This will prompt
     --delete=force /suite/f1/t1       # Delete node at /suite/f1/t1 even if active or submitted
     --delete=force yes /s1 /s2        # Delete suites s1,s2 even if active or submitted, bypassing prompt
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

